namespace adas_core.Domain.Models.Responses;

public class LoginResponse
{
    public string Token { get; set; } = "";
    public string RefreshToken { get; set; } = "";
    public DateTime Expiration { get; set; } = DateTime.MinValue;

    public bool IsExpired()
    {
        if (Expiration != DateTime.MinValue)
        {
            if (Expiration < DateTime.UtcNow) return true;
            return false;
        }

        return true;
    }
}